﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Threading.Tasks;
using System.Web.Http;
using System.Web.Http.Description;

namespace EVCB_OCPP.WEBAPI.Controllers
{
    [ApiExplorerSettings(IgnoreApi = true)]
    public class FileController : ApiController
    {
        [HttpPost]
        public  async Task<HttpResponseMessage> Upload()
        {

            var ctx = System.Web.HttpContext.Current;
            var root = ctx.Server.MapPath("~/UploadFiles/Diagnostics");
            var provider = new MultipartFileStreamProvider(root);

            try
            {
                if (!Request.Content.IsMimeMultipartContent())
                {
                    throw new HttpResponseException(HttpStatusCode.UnsupportedMediaType);
                }

                await Request.Content.ReadAsMultipartAsync(provider);

              
                foreach (var file in provider.FileData)
                {
                    if (file.Headers.ContentType.MediaType== "application/zip")
                    {
                        var name = file.Headers.ContentDisposition.FileName;
                        name = name.Trim('"');

                        var localFileName = file.LocalFileName;
                        var filePath = Path.Combine(root, name);
                        if (!File.Exists(filePath))
                        {
                            File.Move(localFileName, filePath);
                        }
                        else
                        {
                            return Request.CreateResponse(HttpStatusCode.BadRequest);
                        }
                      
                       
                    }
                    else
                    {
                        return Request.CreateResponse(HttpStatusCode.Forbidden);
                    }

                       
                }
                return Request.CreateResponse(HttpStatusCode.OK);
            }
            catch(Exception ex)
            {
                return Request.CreateResponse(HttpStatusCode.InternalServerError, ex.ToString());
            }

          
        }
    }
}
