﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace EVCB_OCPP.WEBAPI.Models.WebAPI.Dto
{
    public class ChargePointDefaultPriceRequest
    {
        /// <summary>
        /// 電樁預設費率
        /// e.g.  0.15 $/kWh, idle fee after charging: 1 $/hr
        /// </summary>
        [StringLength(100)]
        public string DefaultPrice { set; get; }
    }

    public class UserPriceRequest
    {
        [StringLength(20)]
        public string IdTag { set; get; }


        /// <summary>
        /// 用戶費率
        /// e.g.  0.15 $/kWh, idle fee after charging: 1 $/hr
        /// </summary>
        [StringLength(100)]
        public string DefaultPrice { set; get; }
    }

    public class FinalCostRequest
    {
     
        public int SessionId { set; get; }


        /// <summary>
        /// 充電結算費用
        /// e.g.  $2.81 @ $0.12/kWh, $0.50 @ $1/h, TOTAL KWH: 23.4 TIME:03.50 COST: $3.31
        /// </summary>
        [StringLength(200)]
        public string Description { set; get; }
    }
}